Subject: Re: bug#27386: offloading documentation and env

From: Oleg Pykhalov <[email-masked]>
Date: Tue, 04 Jul 2017 19:02:28 +0300

Oleg Pykhalov <[email-masked]> writes:

> Oleg Pykhalov <[email-masked]> writes:
>
>> I'm trying to setup offloading too.  Just for the report I had an issue
>> after setting up `%load-path` for guile with `.bashrc` snippet.  It
>> seems that also required call `guix build` with `--substitute-urls=HOST`
>> because without it I get `acquired build slot` loop like in
>> https://lists.gnu.org/archive/html/guix-devel/2015-05/msg00035.html
>
> Actually not always works.  Still have an issue with loop.  Client waits
> for `/var/guix/offload/magnolia.local/0` but `/var/guix/offload` is
> missing on build machine.

Ah, stupid me, `/var/guix/offload/magnolia.local/0` is on client.

ls -1R /var/guix/offload
/var/guix/offload:
machine-choice.lock
magnolia.local
magnolia.local.slots.lock

/var/guix/offload/magnolia.local:
0